#### D.6.15.10 intersection

Procedure from library `hnoether.lib` (see hnoether_lib).

Usage:
  intersection(hne1,hne2); hne1, hne2 lists

Assume:
  `hne1, hne2` represent an HN expansion of an irreducible plane curve singularity (that is, are the output of `develop(f)`, or of `extdevelop(develop(f),n)`, or one entry of the list of HN data computed by `hnexpansion(f[,"ess"])`).

Return:
  int, the intersection multiplicity of the irreducible plane curve singularities corresponding to `hne1` and `hne2`.

Example:

    LIB "hnoether.lib";
    ring r=0,(x,y),dp;
    list Hne=hnexpansion((x2-y3)*(x2+y3));
    ==> // No change of ring necessary, return value is HN expansion.
    intersection(Hne[1],Hne[2]);
    ==> 6

See also: displayInvariants; hnexpansion.

User manual for Singular version 4.4.1, 2025, generated by texi2html.